Zum Inhalt springen
In der Referenz stöbern
Alle Ressourcen

Buchungsmarkierungen

2 Endpunkte · Die Endpunktbeschreibungen sind auf Englisch.

List the household colour flags (six built-ins, created on first read), by position

GET/households/{householdId}/transaction-flags
read:transactions
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/transaction-flags
Antwort200 · Success

Rename a flag for the whole household; name null (or blank) restores the default name

PATCH/households/{householdId}/transaction-flags/{flagId}
write:transactions

Parameter

NameOrtErforderlich
flagIdpathErforderlich
Request-Body
json
{  "name": "Reimburse"}
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PATCH https://api.vokse.ai/households/current/transaction-flags/{flagId} \     -d '{"name":"Reimburse"}'
Antwort200 · Success